<template>
  <layout-login-vue page="Login" :arrow="false">
    <form>
      <div class="form-group">
        <label for="email">Email address</label>
        <input type="email" class="form-control" :class="error ? 'is-invalid':''" id="email" aria-describedby="email" placeholder="Enter email" v-model="values.email">
        <div class="invalid-feedback" v-if="error">
          Please provide a valid state.
        </div>
      </div>
      <div class="form-group">
        <label for="password">Password</label>
        <input type="password" class="form-control"  :class="error ? 'is-invalid':''" id="password" placeholder="Password" v-model="values.password">
        <div class="invalid-feedback" v-if="error">
          Please provide a valid state.
        </div>
      </div>
      <div class="form-group form-check">
        <input type="checkbox" class="form-check-input" id="rememberme" v-model="values.rememberme">
        <label class="form-check-label" for="rememberme" v-text="$ml.with('VueJS').get('RememberMe')"></label>
      </div>
      <div>
        <h5 class="message text-center" :class="'info-error'" v-if="message">{{ message }}</h5>
      </div>
      <div class="pb-2">
        <button class="btn btn-primary" @click.stop.prevent="login" style="width: 100%;">Submit</button>
      </div>
      <div class="text-right pb-2">
        <router-link to="/password-recupere" >
          <span v-text="$ml.with('VueJS').get('forgotPassword')"></span>
          <font-awesome-icon :icon="['fas', 'long-arrow-alt-right']" />
        </router-link>
      </div>
      <div class="text-right pb-2">
        <router-link to="/signup" >
          <span v-text="$ml.with('VueJS').get('createUser')"></span>
          <font-awesome-icon :icon="['fas', 'long-arrow-alt-right']" />
        </router-link>
      </div>
    </form>
  </layout-login-vue>
</template>

<script>
import LayoutLoginVue from '@/layouts/LayoutLoginVue';

export default {
  name: 'login',
  components: {
    LayoutLoginVue
  },
  data () {
    return {
      message: '',
      error: false,
      values: {
        rememberme: '',
        password: '',
        email: ''
      }
    }
  },
  methods:{
    login(){
      this.$http
        .post('users/login', this.values)
        .then(response => {
          this.error = false
          localStorage.token = response.data.token
          localStorage.user = response.data.user
          this.$store.commit( 'setUsuario',  {user: response.data.user, token: response.data.token});
          this.$router.push({ name: 'Home'})
        })
        .catch(error => {
          this.error = true
          if (error) {
            this.message = 'Email and/or password incorretly'
          }else{
            this.message = 'Server unavailable, try again later'
          }
        })
    },
    completForm(){
      if (this.values.password && this.values.email){
        return false
      }
      return true
    }
  }
}
</script>
